org.eclipse.oomph.resources.backend

## Class BackendContainer

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource
  - - org.eclipse.oomph.resources.backend.BackendContainer

- Direct Known Subclasses:
    BackendFolder, BackendSystem

      public abstract class BackendContainer
      extends BackendResource

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `BackendResource.Type, BackendResource.Visitor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `RESOURCE_SCHEME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `doVisit(BackendContainer backendContainer, BackendResource.Visitor visitor, IProgressMonitor monitor)`
    `BackendResource` | `findMember(IPath relativePath, IProgressMonitor monitor)`
    `BackendResource` | `findMember(String relativePath, IProgressMonitor monitor)`
    `BackendResource` | `findMember(URI relativeURI, IProgressMonitor monitor)`
    `BackendFile` | `getFile(IPath relativePath)`
    `BackendFile` | `getFile(String relativePath)`
    `BackendFile` | `getFile(URI relativeURI)`
    `BackendFolder` | `getFolder(IPath relativePath)`
    `BackendFolder` | `getFolder(String relativePath)`
    `BackendFolder` | `getFolder(URI relativeURI)`
    `BackendResource[]` | `getMembers(IProgressMonitor monitor)`
    `ResourcesUtil.ImportResult` | `importIntoWorkspace(IProject project, IProgressMonitor monitor)`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `accept, equals, exists, get, get, getAbsoluteURI, getDelegate, getLastModified, getLocation, getName, getParent, getRelativePath, getRelativeURI, getSystem, getSystemRelativePath, getSystemRelativeURI, getType, hashCode, isContainer, isLocal, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMembers

          public final BackendResource[] getMembers(IProgressMonitor monitor)
                                             throws BackendException,
                                                    OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### findMember

          public final BackendResource findMember(URI relativeURI,
                                   IProgressMonitor monitor)
                                           throws BackendException,
                                                  OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### findMember

          public final BackendResource findMember(String relativePath,
                                   IProgressMonitor monitor)
                                           throws BackendException,
                                                  OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### findMember

          public final BackendResource findMember(IPath relativePath,
                                   IProgressMonitor monitor)
                                           throws BackendException,
                                                  OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### getFolder

          public final BackendFolder getFolder(URI relativeURI)
                                        throws BackendException

      Throws:
        `BackendException`

    - #### getFolder

          public final BackendFolder getFolder(String relativePath)
                                        throws BackendException

      Throws:
        `BackendException`

    - #### getFolder

          public final BackendFolder getFolder(IPath relativePath)
                                        throws BackendException

      Throws:
        `BackendException`

    - #### getFile

          public final BackendFile getFile(URI relativeURI)
                                    throws BackendException

      Throws:
        `BackendException`

    - #### getFile

          public final BackendFile getFile(String relativePath)
                                    throws BackendException

      Throws:
        `BackendException`

    - #### getFile

          public final BackendFile getFile(IPath relativePath)
                                    throws BackendException

      Throws:
        `BackendException`

    - #### importIntoWorkspace

          public final ResourcesUtil.ImportResult importIntoWorkspace(IProject project,
                                                       IProgressMonitor monitor)
                                                               throws BackendException,
                                                                      OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### doVisit

          protected abstract boolean doVisit(BackendContainer backendContainer,
                        BackendResource.Visitor visitor,
                        IProgressMonitor monitor)
                                      throws BackendException,
                                             OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html